//deze code werkt alleen indien:
//1. Er een geluidsbestand staat met de naam 'uw_geluidsbestand.mp3' in de map assets/audio
//2. Het geluidsbestand is geïmporteerd via pubspec.yaml, onder assets met de volgende regel:
//      - assets/audio/uw_geluidsbestand.mp3
//3. De audioplayer-bibliotheek is ingevoerd via pubspec.yaml, onder depedencies, bijvoorbeeld met de volgende regel:
//   audioplayers: ^2.0.0

import "package:flutter/material.dart";
import 'package:audioplayers/audioplayers.dart';

void main() => runApp(AppRoot());

class AppRoot extends StatelessWidget {
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(appBar: AppBar(title: Text("Mijn App")), body: AppTree()),
      debugShowCheckedModeBanner: false,
      theme: ThemeData.light(),
    );
  }
}

class AppTree extends StatelessWidget {
  final audioSpeler = AudioPlayer();

  Widget build(BuildContext context) {
    audioSpeler.setVolume(1);
    audioSpeler.setSource(AssetSource('audio/uw_geluidsbestand.mp3'));
    audioSpeler.onPlayerComplete.listen((event) {
      print('uitgespeeld');
    });

    return Center(
      child: ElevatedButton(
        onPressed: () {
          //spelen kan ook zonder eerst setSource: audioSpeler.play(AssetSource('audio/uw_geluidsbestand.mp3'));
          audioSpeler.resume();
        },
        child: Text("Speel geluid", textScaleFactor: 2),
      ),
    );
  }
}
