import "package:flutter/material.dart";
import "package:video_player/video_player.dart";

void main() => runApp(AppRoot());

class AppRoot extends StatelessWidget {
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(appBar: AppBar(title: Text("Mijn App")), body: AppTree()),
      debugShowCheckedModeBanner: false,
      theme: ThemeData.light(),
    );
  }
}

class AppTree extends StatefulWidget {
  @override
  State<AppTree> createState() => _AppTreeState();
}

class _AppTreeState extends State<AppTree> {
  VideoPlayerController vpc =
      VideoPlayerController.asset("assets/video/uw_videobestand.mp4");

  @override
  void initState() {
    vpc
      ..initialize()
      ..setVolume(0)
      ..setLooping(true);
    super.initState();
  }

  Widget build(BuildContext context) {
    return ListView(
      children: [
        AspectRatio(
          aspectRatio: 628 / 720,
          child: VideoPlayer(vpc),
        ),
        ElevatedButton(
            onPressed: () {
              setState(() {
                vpc.value.isPlaying ? vpc.pause() : vpc.play();
              });
            },
            child: Icon(
                vpc.value.isPlaying
                    ? Icons.pause
                    : Icons.play_arrow, //Werkt nog niet!!!
                size: 60))
      ],
    );
  }
}
