import "package:flutter/material.dart";

const TextStyle blauweTekst = TextStyle(
    color: Colors.cyanAccent,
    fontFamily: "Open Sans",
    letterSpacing: 1.2,
    fontSize: 14,
    fontWeight: FontWeight.bold);

void main() => runApp(AppRoot());

class AppRoot extends StatelessWidget {
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(appBar: AppBar(title: Text("Mijn App")), body: AppTree()),
      debugShowCheckedModeBanner: false,
      //theme: ThemeData.light(),
      theme: ThemeData.light(),
    );
  }
}

class AppTree extends StatelessWidget {
  Widget build(BuildContext context) {
    return DefaultTextStyle(
      style: blauweTekst,
      child: ListView(
        children: [
          Container(
            color: Colors.blue,
            margin: const EdgeInsets.all(8.0),
            padding: const EdgeInsets.all(8.0),
            child: Text(
              "U zag al eerder hoe u met de widget Text een tekst op het scherm zet. Standaard is deze tekst klein en niet opgemaakt. Dat kan beter. Start weer met de basisapp uit paragraaf 4.4. Zoek in een tekstbestand op uw computer of op een website een paar regels tekst. Kopieer deze tekst en plak hem tussen de aanhalingstekens binnen de haakjes achter de Text-widget. Test daarna de app. De tekst wordt boven in het scherm klein weergegeven.",
              textScaleFactor: 1.5,
              //style: blauweTekst, //hoeft niet meer door gebruik DefaultTextStyle
            ),
          ),
          Padding(
            padding: const EdgeInsets.symmetric(horizontal: 8.0),
            child: RichText(
              textScaleFactor: 3,
              text: TextSpan(
                text: "groen ",
                style: TextStyle(
                  color: Colors.green,
                  fontFamily: "TrainTwo",
                ),
                children: <TextSpan>[
                  TextSpan(
                    text: "blauw ",
                    style: TextStyle(
                      color: Colors.blue,
                      fontFamily: "TrainTwo",
                    ),
                  ),
                  TextSpan(
                    text: "rood",
                    style: TextStyle(
                      color: Colors.red,
                      fontFamily: "TrainTwo",
                    ),
                  ),
                ],
              ),
            ),
          ),
        ],
      ),
    );
  }
}
