import "package:flutter/material.dart";

void main() => runApp(AppRoot());

class AppRoot extends StatelessWidget {
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(appBar: AppBar(title: Text("Mijn App")), body: AppTree()),
      debugShowCheckedModeBanner: false,
      theme: ThemeData.light(),
    );
  }
}

class AppTree extends StatefulWidget {
  @override
  _AppTreeState createState() => _AppTreeState();
}

class _AppTreeState extends State<AppTree> {
  double grootte = 100;

  Widget build(BuildContext context) {
    return Center(
      child: GestureDetector(
          onTap: () {
            setState(() {
              grootte += 10;
            });
          },
          onDoubleTap: () {
            setState(() {
              grootte -= 10;
            });
          },
          onHorizontalDragUpdate: (details) {
            setState(() {
              grootte += details.delta.dx;
              if (grootte < 50)
                grootte = 50; //dit zorgt voor een minimumgrootte.
            });
          },
          child:
              Container(height: grootte, width: grootte, color: Colors.teal)),
    );
  }
}
