import "package:flutter/material.dart";

void main() => runApp(AppRoot());

class AppRoot extends StatelessWidget {
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(appBar: AppBar(title: Text("Mijn App")), body: AppTree()),
      debugShowCheckedModeBanner: false,
      theme: ThemeData.light(),
    );
  }
}

class AppTree extends StatefulWidget {
  @override
  _AppTreeState createState() => _AppTreeState();
}

class _AppTreeState extends State<AppTree> with SingleTickerProviderStateMixin {
  late Animation<double> animatie;
  late AnimationController animatieController;

  void initState() {
    animatieController =
        AnimationController(duration: const Duration(seconds: 2), vsync: this);
    animatie = Tween<double>(begin: 0, end: 6).animate(animatieController);
    animatie.addListener(() {
      setState(() {});
    });
    animatieController.forward();
    animatie.addStatusListener((status) {
      if (status == AnimationStatus.completed) {
        animatieController.reverse();
      } else if (status == AnimationStatus.dismissed) {
        animatieController.forward();
      }
    });
    super.initState();
  }

  void dispose() {
    animatieController.dispose();
    super.dispose();
  }

  Widget build(BuildContext context) {
    return Transform.rotate(
      angle: animatie.value,
      child:
          Center(child: Text("Flutter", textScaleFactor: animatie.value * 0.8)),
    );
  }
}
