import "package:flutter/material.dart";

void main() => runApp(AppRoot());

class AppRoot extends StatelessWidget {
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(appBar: AppBar(title: Text("Mijn App")), body: AppTree()),
      debugShowCheckedModeBanner: false,
      theme: ThemeData.light(),
    );
  }
}

class AppTree extends StatelessWidget {
  Widget build(BuildContext context) {
    return CustomPaint(
      painter: PainterTest(),
      size: MediaQuery.of(context).size,
    );
  }
}

class PainterTest extends CustomPainter {
  void paint(Canvas canvas, Size size) {
    final paint = Paint();
//blauwe rechthoek:
    paint.color = Colors.blue;
    var rect = Rect.fromLTWH(0, 0, size.width, size.height);
    canvas.drawRect(rect, paint);
//gele driehoek:
    paint.color = Colors.yellow;
    var path = Path();
    path.lineTo(0, size.height);
    path.lineTo(size.width, 0);
    path.close();
    canvas.drawPath(path, paint);
//gele cirkel:
    var center = Offset(size.width / 2, size.height / 2);
    canvas.drawCircle(center, 75.0, paint);
  }

  bool shouldRepaint(CustomPainter oldDelegate) {
    return false;
  }
}
