import "package:flutter/material.dart";

void main() => runApp(AppRoot());

class AppRoot extends StatelessWidget {
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(appBar: AppBar(title: Text("Mijn App")), body: AppTree()),
      debugShowCheckedModeBanner: false,
      theme: ThemeData.light(),
    );
  }
}

class AppTree extends StatelessWidget {
  Widget build(BuildContext context) {
    return ListView(
      children: [
        RouteKaart(Icons.directions_walk, "Nijmegen-Groesbeek"),
        RouteKaart(Icons.motorcycle, "Hilversum-Utrecht"),
        RouteKaart(Icons.directions_walk, "Deventer-Zutphen"),
        RouteKaart(Icons.directions_run, "Nijmegen-Arnhem"),
      ],
    );
  }
}

class RouteKaart extends StatelessWidget {
  final IconData pictogram;
  final String tekst;

  RouteKaart(this.pictogram, this.tekst);
  @override
  Widget build(BuildContext context) {
    return Dismissible(
      key: Key(this.tekst),
      background: Container(color: Colors.red),
      child: Card(
        child: Column(
          children: [
            ListTile(
              leading: Icon(pictogram),
              title: Text(tekst),
            ),
            ButtonBar(
              children: [
                TextButton(
                  child: Text("Bekijk route"),
                  onPressed: () {},
                ),
                TextButton(
                  child: Text("Hoogtepunten"),
                  onPressed: () {},
                ),
              ],
            ),
          ],
        ),
      ),
    );
  }
}
