import "package:flutter/gestures.dart";
import "package:flutter/material.dart";
import "package:url_launcher/url_launcher.dart";

TextStyle normaleTekst = TextStyle(fontSize: 16);
TextStyle linkTekst =
    TextStyle(fontSize: 16, decoration: TextDecoration.underline);
void main() => runApp(AppRoot());

class AppRoot extends StatelessWidget {
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(appBar: AppBar(title: Text("Mijn App")), body: AppTree()),
      debugShowCheckedModeBanner: false,
      theme: ThemeData.light(),
    );
  }
}

class AppTree extends StatelessWidget {
  Widget build(BuildContext context) {
    return Container(
        margin: EdgeInsets.all(20.0),
        child: Text.rich(
          TextSpan(children: [
            TextSpan(
                text: 'api.flutter.dev',
                style: linkTekst,
                recognizer: TapGestureRecognizer()
                  ..onTap = () {
                    launchUrl(Uri.parse('https://api.flutter.dev'));
                  }),
            TextSpan(
                text: ': Officiële Flutter-documentatie.\n\n',
                style: normaleTekst),
            TextSpan(
                text: 'pub.dev/flutter/packages',
                style: linkTekst,
                recognizer: TapGestureRecognizer()
                  ..onTap = () {
                    launchUrl(Uri.parse('https://pub.dev/flutter/packages'));
                  }),
            TextSpan(
                text: ': Officiële Flutter-bibliotheken.\n\n',
                style: normaleTekst),
            TextSpan(
                text: 'medium.com/flutter',
                style: linkTekst,
                recognizer: TapGestureRecognizer()
                  ..onTap = () {
                    launchUrl(Uri.parse('https://medium.com/flutter'));
                  }),
            TextSpan(
                text: ': tutorials en achtergrondartikelen.\n\n',
                style: normaleTekst),
            TextSpan(
                text: 'Stackoverflow',
                style: linkTekst,
                recognizer: TapGestureRecognizer()
                  ..onTap = () {
                    launchUrl(Uri.parse(
                        'https://stackoverflow.com/questions/tagged/flutter'));
                  }),
            TextSpan(
                text: ': forum voor programmeurs.\n\n', style: normaleTekst),
          ]),
        ));
  }
}
