import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

//indexpagina met alle codevoorbeelden uit hoofdstuk 4
//geef imports namen om conflicterende klassenamen te vermijden.
import '4-02_demo_app.dart' as codevoorbeeld_4_2;
import '4-03_stateful.dart' as codevoorbeeld_4_3;
import '4-04_basis_app.dart' as codevoorbeeld_4_4;
import '4-05_rijen_en_kolommen.dart' as codevoorbeeld_4_5;
import '4-06_menustructuur.dart' as codevoorbeeld_4_6;
import '4-07_dynamische_navigatie.dart' as codevoorbeeld_4_7;
import '4-08_afbeeldingen.dart' as codevoorbeeld_4_8;
import '4-09_geluid.dart' as codevoorbeeld_4_9;
import '4-10_video.dart' as codevoorbeeld_4_10;
import '4-11_tekst_en_opmaak.dart' as codevoorbeeld_4_11;
import '4-12a_interactie_gesturedetector.dart' as codevoorbeeld_4_12a;
import '4-12b_interactie_knoppen.dart' as codevoorbeeld_4_12b;
import '4-13_invoer.dart' as codevoorbeeld_4_13;
import '4-14a_basis_animatie.dart' as codevoorbeeld_4_14a;
import '4-14b_AnimatedContainer.dart' as codevoorbeeld_4_14b;
import '4-15a_canvas.dart' as codevoorbeeld_4_15a;
import '4-15b_canvasAnimatie.dart' as codevoorbeeld_4_15b;
import '4-16_eigen_widgets.dart' as codevoorbeeld_4_16;
import '4-17a_inheritedWidget.dart' as codevoorbeeld_4_17a;
import '4-17b_gebruik_bibliotheek_en_stream.dart' as codevoorbeeld_4_17b;
import '4-18_opslaan_en_futures.dart' as codevoorbeeld_4_18;
import '4-19_meer_widgets.dart' as codevoorbeeld_4_19;

class WidgetOverzicht extends StatelessWidget {
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
          appBar: AppBar(title: Text('Codevoorbeelden')), body: AppTree()),
    );
  }
}

class AppTree extends StatelessWidget {
  Widget build(BuildContext context) {
    return GridView.count(
      primary: false,
      padding: const EdgeInsets.all(20),
      crossAxisSpacing: 10,
      mainAxisSpacing: 10,
      crossAxisCount: 2,
      children: <Widget>[
        DemoTegel("4.2", context),
        DemoTegel("4.3", context),
        DemoTegel("4.4", context),
        DemoTegel("4.5", context),
        DemoTegel("4.6", context),
        DemoTegel("4.7", context),
        DemoTegel("4.8", context),
        if (!kIsWeb)
          DemoTegel("4.9",
              context), //controle of het geen chrome is (daar werkt geluidsimport niet)
        DemoTegel("4.10", context),
        DemoTegel("4.11", context),
        DemoTegel("4.12a", context),
        DemoTegel("4.12b", context),
        DemoTegel("4.13", context),
        DemoTegel("4.14a", context),
        DemoTegel("4.14b", context),
        DemoTegel("4.15a", context),
        DemoTegel("4.15b", context),
        DemoTegel("4.16", context),
        DemoTegel("4.17a", context),
        DemoTegel("4.17b", context),
        DemoTegel("4.18", context),
        DemoTegel("4.19", context),
      ],
    );
  }

  Widget DemoTegel(String nr, context) {
    Widget demo = Container();
    String beschrijving = "";
    Color kleur = Colors.white;

    switch (nr) {
      case "4.2":
        demo = Scaffold(
            appBar: AppBar(title: Text('Standaard demo')),
            body: codevoorbeeld_4_2.MyHomePage(title: 'Flutter Demo'));
        kleur = Colors.blue;
        beschrijving = "Standaard demo";
        break;

      case "4.3":
        demo = Scaffold(
            appBar: AppBar(title: Text('Tik op het scherm')),
            body: codevoorbeeld_4_3.MijnWidget());
        kleur = Colors.amber;
        beschrijving = "Stateful widgets";
        break;

      case "4.4":
        demo = Scaffold(
            appBar: AppBar(title: Text('Basis voor nieuwe apps')),
            body: codevoorbeeld_4_4.AppTree());
        kleur = Colors.green;
        beschrijving = "Bais-app";
        break;

      case "4.5":
        demo = Scaffold(
            appBar: AppBar(title: Text('Scroll naar beneden')),
            body: codevoorbeeld_4_5.AppTree());
        kleur = Colors.deepOrangeAccent;
        beschrijving = "Rijen en kolommen";
        break;

      case "4.6":
        demo = Scaffold(
            appBar: AppBar(title: Text('Navigatiebalk')),
            body: codevoorbeeld_4_6.AppRoot());
        kleur = Colors.blue;
        beschrijving = "Navigatiebalk";
        break;

      case "4.7":
        demo = codevoorbeeld_4_7.AppTree();
        kleur = Colors.amber;
        beschrijving = "Ad-hoc navigatie";
        break;

      case "4.8":
        demo = Scaffold(
            appBar: AppBar(title: Text('Afbeeldingen')),
            body: codevoorbeeld_4_8.AppTree());
        kleur = Colors.green;
        beschrijving = "Afbeeldingen";
        break;

      case "4.9":
        demo = Scaffold(
            appBar: AppBar(title: Text('Geluid')),
            body: codevoorbeeld_4_9.AppTree());
        kleur = Colors.deepOrangeAccent;
        beschrijving = "Geluid";
        break;

      case "4.10":
        demo = Scaffold(
            appBar: AppBar(title: Text('Video')),
            body: codevoorbeeld_4_10.AppTree());
        kleur = Colors.blue;
        beschrijving = "Video";
        break;

      case "4.11":
        demo = Scaffold(
            appBar: AppBar(title: Text('Opmaak van tekst')),
            body: codevoorbeeld_4_11.AppTree());
        kleur = Colors.amber;
        beschrijving = "Tekstopmaak";
        break;

      case "4.12a":
        demo = Scaffold(
            appBar: AppBar(title: Text('Swipe over het vierkant')),
            body: codevoorbeeld_4_12a.AppTree());
        kleur = Colors.green;
        beschrijving = "Swipes detecteren";
        break;

      case "4.12b":
        demo = Scaffold(
            appBar: AppBar(title: Text('Knoppen')),
            body: codevoorbeeld_4_12b.AppTree());
        kleur = Colors.deepOrangeAccent;
        beschrijving = "Knoppen";
        break;

      case "4.13":
        demo = Scaffold(
            appBar: AppBar(title: Text('Gegevensinvoer')),
            body: codevoorbeeld_4_13.AppTree());
        kleur = Colors.blue;
        beschrijving = "Invoer met formulier-elementen";
        break;

      case "4.14a":
        demo = Scaffold(
            appBar: AppBar(title: Text('Animatie')),
            body: codevoorbeeld_4_14a.AppTree());
        kleur = Colors.amber;
        beschrijving = "Animatie";
        break;

      case "4.14b":
        demo = Scaffold(
            appBar: AppBar(title: Text('Tik op de rechthoek')),
            body: codevoorbeeld_4_14b.AppTree());
        kleur = Colors.green;
        beschrijving = "Animated\nContainer";
        break;

      case "4.15a":
        demo = Scaffold(
            appBar: AppBar(title: Text('Canvastekening')),
            body: codevoorbeeld_4_15a.AppTree());
        kleur = Colors.deepOrangeAccent;
        beschrijving = "Tekenen op het canvas";
        break;

      case "4.15b":
        demo = Scaffold(
            appBar: AppBar(title: Text('Canvasanimatie')),
            body: codevoorbeeld_4_15b.AppTree());
        kleur = Colors.blue;
        beschrijving = "Animatie op het canvas";
        break;

      case "4.16":
        demo = Scaffold(
            appBar: AppBar(title: Text('Schuif de kaarten opzij')),
            body: codevoorbeeld_4_16.AppTree());
        kleur = Colors.amber;
        beschrijving = "Eigen widgets";
        break;

      case "4.17a":
        demo = Scaffold(
            appBar: AppBar(title: Text('Inherited widget')),
            body: codevoorbeeld_4_17a.mijnInh(codevoorbeeld_4_17a.AppTree()));
        kleur = Colors.green;
        beschrijving = "Inherited widget";
        break;

      case "4.17b":
        demo = Scaffold(
            appBar: AppBar(title: Text('Stream en bibliotheek')),
            body: codevoorbeeld_4_17b.AppRoot());
        kleur = Colors.deepOrangeAccent;
        beschrijving = "Gebruik van streams en bibliotheek";
        break;

      case "4.18":
        demo = Scaffold(
            appBar: AppBar(title: Text('Futures en opslag')),
            body: codevoorbeeld_4_18.AppTree());
        kleur = Colors.blue;
        beschrijving = "Gegevens-\nopslag en futures";
        break;

      case "4.19":
        demo = Scaffold(
            appBar: AppBar(title: Text('Bronnen')),
            body: codevoorbeeld_4_19.AppTree());
        kleur = Colors.amber;
        beschrijving = "Meer widgets";
        break;
    }

    return GestureDetector(
        onTap: () {
          Navigator.push(
              context,
              MaterialPageRoute(
                builder: (context) => demo,
              ));
        },
        child: Container(
          padding: const EdgeInsets.only(top: 30, left: 8, right: 8),
          child: Text(
            nr + '\n' + beschrijving,
            textAlign: TextAlign.center,
            style: TextStyle(fontWeight: FontWeight.bold),
          ),
          color: kleur,
        ));
  }
}
