//definieert het infoscherm
import 'package:flutter/material.dart';
import 'bibliotheek.dart' as lib;
import 'package:url_launcher/url_launcher.dart';
import 'package:flutter/services.dart';
import 'dart:convert';

class Info extends StatelessWidget {
  Widget build(BuildContext context) {
    return FutureBuilder(
        future: laadTeksten(Localizations.localeOf(context).languageCode),
        builder: (BuildContext context, AsyncSnapshot snapshot) {
          if (snapshot.connectionState != ConnectionState.done) {
            return Container();
          } else
            return ListView(
              children: <Widget>[
                Container(
                  margin: EdgeInsets.all(lib.tekstMarge),
                  child: Text(
                    snapshot.data["infotekst"],
                    style: lib.basisTekst,
                  ),
                ),
                urlKnop(snapshot.data["knop1"], "https://www.flutter.nl"),
                urlKnop(snapshot.data["knop2"], "mailto:info@flutter.nl"),
              ],
            );
        });
  }

  Widget urlKnop(String tekst, String url) {
    return Container(
      width: 250,
      height: 50,
      margin: EdgeInsets.only(top: 30),
      child: ElevatedButton(
        child: Text(tekst, style: lib.kopTekst),
        onPressed: () {
          launchUrl(Uri.parse(url));
        },
      ),
    );
  }

  Future laadTeksten(String taal) async {
    if (taal != "nl") {
      taal = "en";
    }
    String teksten = await rootBundle.loadString('assets/lang/$taal.json');
    return json.decode(teksten);
  }
}
