import 'package:flutter/material.dart';
import 'info.dart';
import 'quiz.dart';
import 'welkom.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  Widget build(BuildContext context) {
    return MaterialApp(
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: QuizApp(),
    );
  }
}

class QuizApp extends StatelessWidget {
  Widget build(BuildContext context) {
    return DefaultTabController(
      length: 3,
      child: Scaffold(
        appBar: AppBar(
          title: Text('Flutter Quiz'),
        ),
        bottomNavigationBar: TabBar(
          indicatorColor: Colors.blueAccent,
          labelColor: Colors.blueAccent,
          tabs: [
            Tab(icon: Icon(Icons.home), text: 'welkom'),
            Tab(icon: Icon(Icons.live_help), text: 'QUIZ!'),
            Tab(icon: Icon(Icons.info), text: 'over deze app'),
          ],
        ),
        body: TabBarView(
          children: [
            Welkom(),
            Quiz(),
            Info(),
          ],
        ),
      ),
    );
  }
}
