import 'package:flutter/material.dart';
import 'bibliotheek.dart' as lib;
import 'quizParts/uitslag.dart';
import 'quizParts/vraag.dart';
import 'package:http/http.dart' as http;
import 'dart:convert';

class Quiz extends StatefulWidget {
  _QuizState createState() => _QuizState();
}

class _QuizState extends State<Quiz> with AutomaticKeepAliveClientMixin {
  int vraagNummer = 0;
  int score = 0;
  String foutmelding = "";

  initState() {
    herstartQuiz();
    lib.startOpnieuw.stream.listen((startOpnieuw) {
      herstartQuiz();
    });
    super.initState();
  }

  bool get wantKeepAlive {
    return true;
  }

  Widget build(BuildContext context) {
    super.build(context);
    if (lib.vragen.length == 0) {
      return Container(
        child: Center(
            child: Text(
          foutmelding,
          style: lib.basisTekst,
          textAlign: TextAlign.center,
        )),
      );
    } else if (vraagNummer == lib.vragen.length) {
      return Uitslag(score);
    } else {
      return Vraag(vraagNummer, score, verwerkAntwoord);
    }
  }

  void verwerkAntwoord(bool isJuist) {
    if (isJuist) {
      score += 1;
    }
    setState(() {
      vraagNummer += 1;
    });
  }

  void herstartQuiz() async {
    try {
      var onlineInhoud =
          await http.post(Uri.parse(lib.vragenUrl + 'vragen.json'));
      lib.vragen = json.decode(onlineInhoud.body);
    } catch (error) {
      foutmelding = "Er zijn geen vragen beschikbaar.";
    }
    setState(() {
      vraagNummer = score = 0;
    });
  }
}
