import 'package:flutter/material.dart';
import 'bibliotheek.dart' as lib;
import 'quizParts/uitslag.dart';
import 'quizParts/vraag.dart';

class Quiz extends StatefulWidget {
  _QuizState createState() => _QuizState();
}

class _QuizState extends State<Quiz> with AutomaticKeepAliveClientMixin {
  int vraagNummer = 0;
  int score = 0;

  initState() {
    lib.startOpnieuw.stream.listen((startOpnieuw) {
      setState(() {
        vraagNummer = score = 0;
      });
    });
    super.initState();
  }

  bool get wantKeepAlive {
    return true;
  }

  Widget build(BuildContext context) {
    super.build(context);
    if (vraagNummer == lib.vragen.length) {
      return Uitslag(score);
    } else {
      return Vraag(vraagNummer, score, verwerkAntwoord);
    }
  }

  void verwerkAntwoord(bool isJuist) {
    if (isJuist) {
      score += 1;
    }
    setState(() {
      vraagNummer += 1;
    });
  }
}
