import 'package:flutter/material.dart';
import 'package:mailer/mailer.dart';
import 'package:mailer/smtp_server.dart';
import 'package:intl/intl.dart';
import 'package:email_validator/email_validator.dart';

class MailDialoog extends StatelessWidget {
  final int score;
  final Function zetMailStatus;
  final TextEditingController tekstVeldController = TextEditingController();

  MailDialoog(this.score, this.zetMailStatus);

  Widget build(BuildContext context) {
    bool correctEmailAdres = false;

    return AlertDialog(
      title: Text('Voer a.u.b. uw e-mailadres in:'),
      content: TextFormField(
        autovalidateMode: AutovalidateMode.onUserInteraction,
        validator: (invoer) {
          if (EmailValidator.validate(invoer!)) {
            correctEmailAdres = true;
            return "";
          } else {
            correctEmailAdres = false;
            return "Voer a.u.b. een geldig e-mailadres in";
          }
        },
        controller: tekstVeldController,
        decoration: InputDecoration(hintText: 'naam@domein.nl'),
      ),
      actions: <Widget>[
        TextButton(
          child: Text('annuleer'),
          onPressed: () {
            Navigator.of(context).pop();
          },
        ),
        TextButton(
          child: Text('verstuur'),
          onPressed: () {
            if (correctEmailAdres) {
              stuurMail();
              Navigator.of(context).pop();
            }
          },
        )
      ],
    );
  }

  stuurMail() async {
    const String gebruikersnaam = 'naam@eMailProvider.nl';
    const String wachtwoord = 'uwWachtwoord';

    final smtpServer = SmtpServer("mail.server.nl",
        username: gebruikersnaam,
        password: wachtwoord,
        allowInsecure: true,
        ignoreBadCertificate: true);

    final datumOpmaak = DateFormat('dd-MM-yyyy H:m');

    final message = Message()
      ..from = Address(gebruikersnaam, 'Flutter quiz')
      ..recipients.add('naam@domein.nl')
      ..subject = 'Uitslag van de quiz'
      ..html = "<h1>Uitslag</h1>"
          "<p>Emailadres: ${tekstVeldController.text} </p>"
          "<p>Score: $score</p>"
          "<p>Verzonden op: ${datumOpmaak.format(DateTime.now())}</p>";

    try {
      await send(message, smtpServer);
      zetMailStatus("Uw uitslag is verzonden", "", false);
    } catch (error) {
      zetMailStatus("Er ging iets mis...\nDe uitslag is niet verzonden",
          "Probeer opnieuw", true);
    }
  }
}
