import 'package:flutter/material.dart';
import '../bibliotheek.dart' as lib;
import 'mailDialoog.dart';

class Uitslag extends StatefulWidget {
  final int score;
  Uitslag(this.score);

  _UitslagState createState() => _UitslagState();
}

class _UitslagState extends State<Uitslag> {
  String mailStatus = "Deel uw uitslag met ons:"; //status voor gebruiker
  String mailKnopTekst = "Verstuur uw uitslag"; //tekst op de knop
  bool kanMailVerzenden = true; //bepaalt of knop wordt weergegeven

  Widget build(BuildContext context) {
    return ListView(
      children: <Widget>[
        Container(
          height: 60,
          child: Center(
              child: Text(
            "Uitslag:",
            style: lib.kopTekst,
          )),
        ),
        Center(
            child: Text(
          widget.score.toString(),
          style: lib.kopTekst,
          textScaleFactor: 7,
        )),
        Center(
            child: Text(
          "van de ${lib.vragen.length} vragen goed.",
          style: lib.basisTekst,
          textScaleFactor: 1.2,
        )),
        Container(
          margin: EdgeInsets.only(left: 40, right: 40, bottom: 20),
          child: ElevatedButton(
            child: Text(
              'Opnieuw',
              style: lib.basisTekst,
              textScaleFactor: 1.2,
            ),
            onPressed: () {
              lib.startOpnieuw.add(true);
            },
          ),
        ),
        Center(
            child: Text(
          mailStatus,
          style: lib.basisTekst,
          textScaleFactor: 1.2,
        )),
        if (kanMailVerzenden)
          Container(
            margin: EdgeInsets.only(left: 40, right: 40, bottom: 20),
            child: ElevatedButton(
              child: Text(
                mailKnopTekst,
                style: lib.basisTekst,
                textScaleFactor: 1.2,
              ),
              onPressed: () {
                showDialog(
                    context: context,
                    builder: (context) {
                      return MailDialoog(widget.score, zetMailStatus);
                    });
              },
            ),
          ),
      ],
    );
  }

  void zetMailStatus(
      String mailStatus, String mailKnopTekst, bool kanMailVerzenden) {
    setState(() {
      this.kanMailVerzenden = kanMailVerzenden;
      this.mailStatus = mailStatus;
      this.mailKnopTekst = mailKnopTekst;
    });
  }
}
