import 'package:flutter/material.dart';
import '../bibliotheek.dart' as lib;
import 'antwoordKnop.dart';

class Vraag extends StatelessWidget {
  final int vraagNummer;
  final int score;
  final Function verwerkAntwoord;

  Vraag(this.vraagNummer, this.score, this.verwerkAntwoord);

  Widget build(BuildContext context) {
    return ListView(
      children: <Widget>[
        Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: <Widget>[
            Container(
              padding: EdgeInsets.only(left: lib.tekstMarge),
              child: Text("vraag " + (vraagNummer+1).toString() + " van " + lib.vragen.length.toString(),
                  style: lib.basisTekst),
            ),
            Container(
              padding: EdgeInsets.only(right: lib.tekstMarge ),
              child: Text("score: $score", style: lib.basisTekst),
            ),
          ],
        ),
        Container (
          margin: EdgeInsets.symmetric(vertical: 10),
          width: MediaQuery.of(context).size.width,
          height:MediaQuery.of(context).size.height * 0.25,
          child: Image.asset(
            'assets/images/' + lib.vragen[vraagNummer]["afbeelding"],
            fit: BoxFit.fitWidth,
          ),
        ),
        ConstrainedBox(
          constraints: BoxConstraints(
            minHeight:50,
          ),
          child: Container(
            child: Text(lib.vragen[vraagNummer]["vraag"],
              style: lib.kopTekst,
              textAlign: TextAlign.center,
            ),
          ),
        ),

        //Optie: flexibel aantal antwoorden met flow-control
      for (var i = 0;
        i < lib.vragen[vraagNummer]["antwoorden"].length; i+=2)
          maakKnoppenRij(vraagNummer,i)
      ],
    );
  }

  Widget maakKnoppenRij(vraagNummer, antwoordNummer){
    return Row(mainAxisAlignment: MainAxisAlignment.spaceAround,
        children: <Widget>[
          AntwoordKnop(
            lib.vragen[vraagNummer]["antwoorden"][antwoordNummer],
            lib.vragen[vraagNummer]["correct"] == antwoordNummer,
              verwerkAntwoord
          ),
          if(antwoordNummer + 1 < lib.vragen[vraagNummer]["antwoorden"].length)AntwoordKnop(
            lib.vragen[vraagNummer]["antwoorden"][antwoordNummer + 1],
            lib.vragen[vraagNummer]["correct"] == antwoordNummer + 1,
              verwerkAntwoord
          ),
        ]);
  }
}